Skip to content

Reclassify allows you to change the document type of an existing document or assign a document type to an unclassified document. A document "type" is the combination of the type__v, subtype__v, and classification__v fields on a document. When you reclassify, Vault may add or remove certain fields on the document. You can only reclassify the latest version of a document and only one document at a time. The API does not currently support bulk reclassify.

Learn more about reclassifying documents in Vault Help.

PUT/api/{version}/objects/documents/{doc_id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
X-VaultAPI-MigrationModeWhen set to true, use with the status__v and document_number__v body parameters to reclassify documents to any document lifecycle state and with any document number. You must have the Document Migration permission to use this header. Learn more about Document Migration Mode in Vault Help.
NameDescription
{doc_id}The document id field value.
NameDescription
type__vThe name of the document type.
subtype__vThe name of the document subtype (if one exists on the type).
classification__vThe name of the document classification (if one exists on the subtype).
lifecycle__vThe name of the document lifecycle.
reclassifySet to true. Without this, a standard document update action is performed.

You can also add or remove values for any other editable document field. Note that additional fields may be required depending on the document type, subtype, and classification being assigned to the document. Use the Document Metadata API to retrieve required and editable fields in your Vault. If a required field is missing, the error response will list the name of the required field.

curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "reclassify=true" \ -d "type__v=Promotional Piece" \ -d "subtype__v=Advertisement" \ -d "classification__v=Web" \ -d "lifecycle__v=Promotional Piece" \ https://myvault.veevavault.com/api/v20.3/objects/documents/775
{ "responseStatus": "SUCCESS", "id": 775 }